#
# spec file for package kmud (Version 1.0beta1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake gettext gpp klibs ksupp libgpp libjpeg libpng libtiff libz qtdevel qtext qtlib xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd klibs ksupp less libgpp libjpeg libpng libtiff libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qtcompat qtdevel qtext qtlib rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

# Commandline:  --touch -b "xf86" --kde
Name:         kmud
Copyright:    unknown
Group:        X11/KDE/Applications
Summary:      Graphical frontend for MUDs (Multi User Dungeons)
Version:      1.0beta1
Release:      102
Source0:      kmud-1.0beta1.tar.bz2
Patch0: kmud-1.0beta1.dif

%description
This is a graphical frontend for Multi User Dungeons as found on the
internet. If you don't know what a MUD is, you probably don't need this
program.

Authors:
--------
    Stephan Uhlmann <uhlmann@cs.uni-potsdam.de>

SuSE series: kde

%prep
%setup -n kmud-1.0beta1
%patch -p 0 -E

%build
%{?suse_update_config:%{suse_update_config -l -f . }}
CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS -DNDEBUG " ./configure \
  --prefix=/opt/kde \
  --with-qt-dir=$QTDIR \
  --with-qt-includes=$QTDIR/include \
  --with-qt-libraries=$QTDIR/lib
touch ./po/Makefile.in --reference=./kmud/plugins/template_kmudplg/aclocal.m4
touch ./kmud/docs/de/Makefile.in --reference=./kmud/plugins/template_kmudplg/aclocal.m4
touch ./kmud/docs/en/Makefile.in --reference=./kmud/plugins/template_kmudplg/aclocal.m4
touch ./kmud/docs/fr/Makefile.in --reference=./kmud/plugins/template_kmudplg/aclocal.m4
touch ./kmud/docs/it/Makefile.in --reference=./kmud/plugins/template_kmudplg/aclocal.m4
touch ./kmud/docs/ru/Makefile.in --reference=./kmud/plugins/template_kmudplg/aclocal.m4
touch ./kmud/docs/sv/Makefile.in --reference=./kmud/plugins/template_kmudplg/aclocal.m4
touch ./kmud/docs/Makefile.in --reference=./kmud/plugins/template_kmudplg/aclocal.m4
touch ./kmud/dialogs/Makefile.in --reference=./kmud/plugins/template_kmudplg/aclocal.m4
touch ./kmud/Makefile.in --reference=./kmud/plugins/template_kmudplg/aclocal.m4
touch ./kmud/plugins/Makefile.in --reference=./kmud/plugins/template_kmudplg/aclocal.m4
touch ./Makefile.in --reference=./kmud/plugins/template_kmudplg/aclocal.m4
make

%install
make install

%files
%doc FAQ TODO README README.devel AUTHORS INSTALL ChangeLog COPYING 
%dir /opt/kde/share/apps/kmud
%dir /opt/kde/share/apps/kmud/toolbar
%dir /opt/kde/share/doc/HTML/de/kmud
%dir /opt/kde/share/doc/HTML/en/kmud
%dir /opt/kde/share/doc/HTML/fr/kmud
%dir /opt/kde/share/doc/HTML/it/kmud
%dir /opt/kde/share/doc/HTML/ru/kmud
%dir /opt/kde/share/doc/HTML/sv/kmud
/opt/kde/bin/kmud
/opt/kde/share/applnk/Games/kmud.kdelnk
/opt/kde/share/apps/kmud/toolbar/kmud_aliases.xpm
/opt/kde/share/apps/kmud/toolbar/kmud_connectionwizard.xpm
/opt/kde/share/apps/kmud/toolbar/kmud_create.xpm
/opt/kde/share/apps/kmud/toolbar/kmud_disconnect.xpm
/opt/kde/share/apps/kmud/toolbar/kmud_eraser.xpm
/opt/kde/share/apps/kmud/toolbar/kmud_follow.xpm
/opt/kde/share/apps/kmud/toolbar/kmud_grid.xpm
/opt/kde/share/apps/kmud/toolbar/kmud_log.xpm
/opt/kde/share/apps/kmud/toolbar/kmud_lvldown.xpm
/opt/kde/share/apps/kmud/toolbar/kmud_lvlup.xpm
/opt/kde/share/apps/kmud/toolbar/kmud_mapper.xpm
/opt/kde/share/apps/kmud/toolbar/kmud_null.xpm
/opt/kde/share/apps/kmud/toolbar/kmud_path.xpm
/opt/kde/share/apps/kmud/toolbar/kmud_pointer.xpm
/opt/kde/share/apps/kmud/toolbar/kmud_properties.xpm
/opt/kde/share/apps/kmud/toolbar/kmud_quickconnect.xpm
/opt/kde/share/apps/kmud/toolbar/kmud_room.xpm
/opt/kde/share/apps/kmud/toolbar/kmud_text.xpm
/opt/kde/share/apps/kmud/toolbar/kmud_triggers.xpm
/opt/kde/share/apps/kmud/toolbar/kmud_zone.xpm
/opt/kde/share/apps/kmud/toolbar/kmud_zoneup.xpm
/opt/kde/share/doc/HTML/de/kmud/index-1.html
/opt/kde/share/doc/HTML/de/kmud/index-2.html
/opt/kde/share/doc/HTML/de/kmud/index-3.html
/opt/kde/share/doc/HTML/de/kmud/index-4.html
/opt/kde/share/doc/HTML/de/kmud/index-5.html
/opt/kde/share/doc/HTML/de/kmud/index.html
/opt/kde/share/doc/HTML/de/kmud/logotp3.gif
/opt/kde/share/doc/HTML/de/kmud/logotp3.png
/opt/kde/share/doc/HTML/en/kmud/index-1.html
/opt/kde/share/doc/HTML/en/kmud/index-2.html
/opt/kde/share/doc/HTML/en/kmud/index-3.html
/opt/kde/share/doc/HTML/en/kmud/index-4.html
/opt/kde/share/doc/HTML/en/kmud/index-5.html
/opt/kde/share/doc/HTML/en/kmud/index.html
/opt/kde/share/doc/HTML/en/kmud/logotp3.gif
/opt/kde/share/doc/HTML/en/kmud/logotp3.png
/opt/kde/share/doc/HTML/fr/kmud/index-1.html
/opt/kde/share/doc/HTML/fr/kmud/index-2.html
/opt/kde/share/doc/HTML/fr/kmud/index-3.html
/opt/kde/share/doc/HTML/fr/kmud/index-4.html
/opt/kde/share/doc/HTML/fr/kmud/index-5.html
/opt/kde/share/doc/HTML/fr/kmud/index.html
/opt/kde/share/doc/HTML/fr/kmud/logotp3.gif
/opt/kde/share/doc/HTML/fr/kmud/logotp3.png
/opt/kde/share/doc/HTML/it/kmud/index-1.html
/opt/kde/share/doc/HTML/it/kmud/index-2.html
/opt/kde/share/doc/HTML/it/kmud/index-3.html
/opt/kde/share/doc/HTML/it/kmud/index-4.html
/opt/kde/share/doc/HTML/it/kmud/index-5.html
/opt/kde/share/doc/HTML/it/kmud/index.html
/opt/kde/share/doc/HTML/it/kmud/logotp3.gif
/opt/kde/share/doc/HTML/it/kmud/logotp3.png
/opt/kde/share/doc/HTML/ru/kmud/index-1.html
/opt/kde/share/doc/HTML/ru/kmud/index-2.html
/opt/kde/share/doc/HTML/ru/kmud/index-3.html
/opt/kde/share/doc/HTML/ru/kmud/index-4.html
/opt/kde/share/doc/HTML/ru/kmud/index.html
/opt/kde/share/doc/HTML/ru/kmud/logotp3.gif
/opt/kde/share/doc/HTML/ru/kmud/logotp3.png
/opt/kde/share/doc/HTML/sv/kmud/index-1.html
/opt/kde/share/doc/HTML/sv/kmud/index-2.html
/opt/kde/share/doc/HTML/sv/kmud/index-3.html
/opt/kde/share/doc/HTML/sv/kmud/index-4.html
/opt/kde/share/doc/HTML/sv/kmud/index.html
/opt/kde/share/doc/HTML/sv/kmud/logotp3.gif
/opt/kde/share/doc/HTML/sv/kmud/logotp3.png
/opt/kde/share/icons/kmud.xpm
/opt/kde/share/icons/mini/kmud.xpm
/opt/kde/share/locale/de/LC_MESSAGES/kmud.mo
/opt/kde/share/locale/es/LC_MESSAGES/kmud.mo
/opt/kde/share/locale/fr/LC_MESSAGES/kmud.mo
/opt/kde/share/locale/it/LC_MESSAGES/kmud.mo
/opt/kde/share/locale/pt_BR/LC_MESSAGES/kmud.mo
/opt/kde/share/locale/ru/LC_MESSAGES/kmud.mo
/opt/kde/share/locale/sv/LC_MESSAGES/kmud.mo

%changelog -n kmud
* Tue Aug 14 2001 - ro@suse.de
- fixed for autoconf 2.52
* Thu Jun 21 2001 - adrian@suse.de
- autoconf 2.50 fixes
* Wed Mar 21 2001 - adrian@suse.de
- New version 1.0.0beta1
* Mon May 29 2000 - adrian@suse.de
- New version 0.4.1
* Sun May 28 2000 - adrian@suse.de
- Added group tag, suse_update_config and new file list
* Sat May 27 2000 - @suse.de
- Spec file created from kmud-0.3.tar.gz by autospec
* Mon Apr 03 2000 - ro@suse.de
- fixed to build on alpha
* Thu Mar 30 2000 - adrian@suse.de
- delete the kbase from neededforbuild
* Sun Mar 05 2000 - adrian@suse.de
- New version 0.3
* Mon Nov 29 1999 - kettner@suse.de
- New version 0.2
* Tue Oct 19 1999 - kettner@suse.de
- New version 0.1.1
* Mon Oct 18 1999 - kettner@suse.de
- Spec file created from kmud-0.1.tar.gz by autospec
- Fixed typo in .kdelnk file
